OpenVDB 7.0.0

Public Types | Public Member Functions | List of all members
VectorWrapper Struct Reference

`#include <PointDelete.h>`

## Public Types
using | T = std::vector< std::pair< Index, Index > >

## Public Member Functions
| VectorWrapper (const T &_data)
| operator bool () const
VectorWrapper & | operator++ ()
Index | sourceIndex () const
Index | targetIndex () const

## Member Typedef Documentation

## ◆ T

using T = std::vector<std::pair<Index, Index> >

## Constructor & Destructor Documentation

## ◆ VectorWrapper()

VectorWrapper | ( | const T & | _data | ) |
| inline

## Member Function Documentation

## ◆ operator bool()

operator bool | ( |  | ) | const
| inline

## ◆ operator++()

VectorWrapper& operator++ | ( |  | ) |
| inline

## ◆ sourceIndex()

Index sourceIndex | ( |  | ) | const
| inline

## ◆ targetIndex()

Index targetIndex | ( |  | ) | const
| inline

The documentation for this struct was generated from the following file:

- PointDelete.h